thesignup docs
APIWebhooksIdDeliveries

Last N delivery attempts for an endpoint

Newest first. `limit` defaults to 50, max 200.

GET
/webhooks/{id}/deliveries

Newest first. limit defaults to 50, max 200.

AuthorizationBearer <token>

Long-lived org-scoped API key. Generate one from your account dashboard. Pass as Authorization: Bearer sgn_live_….

In: header

Path Parameters

id*string
Formatuuid

Query Parameters

limit?integer
Range1 <= value <= 200

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/deliveries"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "eventType": "string",
      "status": "pending",
      "attemptCount": 0,
      "lastResponseStatus": 0,
      "errorMessage": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "deliveredAt": "2019-08-24T14:15:22Z",
      "dlqAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}
{
  "type": "https://thesignup.app/problems/not-found",
  "title": "Not found",
  "status": 404,
  "detail": "string",
  "code": "missing_credentials",
  "errors": [
    {
      "path": "string",
      "message": "string"
    }
  ],
  "cause": {
    "property1": null,
    "property2": null
  }
}